import { UmbContextBase } from '../../../../../libs/class-api/index.js';
import type { UmbControllerHost } from '../../../../../libs/controller-api/index.js';
export declare class UmbHasChildrenEntityContext extends UmbContextBase {
    #private;
    readonly hasChildren: import("rxjs").Observable<boolean | undefined>;
    constructor(host: UmbControllerHost);
    /**
     * Gets the hasChildren state
     * @returns {boolean} - The hasChildren state
     * @memberof UmbHasChildrenEntityContext
     */
    getHasChildren(): boolean | undefined;
    /**
     * Sets the hasChildren state
     * @param {boolean} hasChildren - The hasChildren state
     * @memberof UmbHasChildrenEntityContext
     */
    setHasChildren(hasChildren: boolean): void;
}
